Bug 503758 - hang check timeout defaults too low for -RT
hang check timeout defaults too low for -RT
Status: CLOSED NOTABUG
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel (Show other bugs)
1.2
All Linux
low Severity medium
: ---
: ---
Assigned To: Jon Masters
David Sommerseth
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-02 11:00 EDT by Jon Masters
Modified: 2016-05-22 19:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-03 07:42:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
increase hung_task_timeout_secs on rt (1012 bytes, patch)
2009-06-02 17:48 EDT, Luis Claudio R. Goncalves
no flags Details | Diff

  None (edit)
Description Jon Masters 2009-06-02 11:00:33 EDT
Description of problem:

The default value of the task hangcheck timer is hardcoded to 120 seconds. We need to replace this with a macro and conditional in the case of -RT.

Version-Release number of selected component (if applicable):

.29 RT kernels with hangcheck turned on.
Comment 1 Luis Claudio R. Goncalves 2009-06-02 16:18:51 EDT
I will build -20 today changing this default to 10 minutes (600s) as suggested by Rostedt and Jon. That will be the only change in the kernel so that we can compare the results and infere the impact of this change.
Comment 2 Luis Claudio R. Goncalves 2009-06-02 17:48:14 EDT
Created attachment 346323 [details]
increase hung_task_timeout_secs on rt
Comment 3 Thomas Gleixner 2009-06-02 17:50:44 EDT
> Description of problem:
> 
> The default value of the task hangcheck timer is hardcoded to 120 seconds. We

This is not a problem description. It's a description of a fact.

> need to replace this with a macro and conditional in the case of -RT.

Why ?

Thanks,

         tglx
Comment 4 Jon Masters 2009-12-01 01:35:00 EST
Luis, Clark, what do you think we should do with this bug?
Comment 5 Luis Claudio R. Goncalves 2009-12-03 07:42:06 EST
Jon, it has already been addressed in V2.
Thanks!

Note You need to log in before you can comment on or make changes to this bug.